import BaseMachine from '../slotMachines/BaseMachine';
import BaseSystem from '../systems/BaseSystem';

export default class ResetTintSystem extends BaseSystem
{
    public state: string = 'stopped';

    static override requiredMaps: string[] = ['tinting', 'symbols'];

    constructor(machine: BaseMachine)
    {
        super(machine);
    }

    override onEnter()
    {
        this.resetTintingMap();
    }

    override onLeave()
    {
    // Do nothing
    }

    update(_dt: number): void
    {
    // Do nothing
    }

    private resetTintingMap()
    {
        this.machine.maps.tinting = new Array(this.machine.maps.symbols.length).fill(false);
    }
}
